Registrations are now open. Join us today!
There is still a lot of work to do on the wiki yet! More information about editing can be found here.
Already have an account?

Microsoft KB Archive/24915

From BetaArchive Wiki

Excel: Minimum Hardware Configurations PSS ID Number: Q24915 Article last modified on 05-30-1991 PSS database name: M_eXceL

1.00 1.03 1.04 1.06 1.50 2.20 3.00

MACINTOSH

Summary:

The recommended hardware configurations for each version of Microsoft Excel are as follows:

Excel 3.00 and 2.20

You must have at least a Macintosh Plus with 1 megabyte of RAM and an 800K internal disk drive to run Excel versions 2.20 and 3.00. Other models that satisfy these requirements are as follows:

  • Macintosh Classic
  • Macintosh SE
  • Macintosh LC
  • Macintosh II
  • Macintosh IIx
  • Macintosh SE/30
  • Macintosh IIsi
  • Macintosh IIcx
  • Macintosh IIci
  • Macintosh IIfx
  • Macintosh Portable

Excel 1.50

You must have at least a Macintosh 512K Enhanced with 1 megabyte of RAM and an 800K internal disk drive to run Excel version 1.50. Other models that satisfy these requirements are as follows:

  • Macintosh Plus
  • Macintosh SE
  • Macintosh II
  • Macintosh IIx
  • Macintosh SE/30
  • Macintosh IIcx

Excel 1.06 and Earlier

You must have at least 512K of RAM memory and either one 800K disk drive or two 400K disk drives to run Excel versions 1.06 and earlier. The models that satisfy these requirements are as follows:

  • Macintosh 512K with external 400K disk drive
  • Macintosh 512K Enhanced
  • Macintosh Plus
  • Macintosh SE (Note: Excel 1.00 is not supported on the Macintosh SE.)
  • Macintosh II (Note: Excel 1.00, 1.03, and 1.04 are not supported on the Macintosh II.)

Copyright Microsoft Corporation 1991.